## ros-iron-camera-calibration 3.0.1

=== debian/changelog ===
ros-iron-camera-calibration (3.0.1-3jammy) jammy; urgency=high

  * add python3-opencv to camera calibration dependency
  * port changes from #755 <https://github.com/ros-perception/image_pipeline/issues/755> to rolling branch
  * Contributors: Kenji Brameld

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 16:00:00 -0000

ros-iron-camera-calibration (3.0.0-3jammy) jammy; urgency=high

  * Some small fixes noticed while reviewing.
  * fix premature camera model change in camera_calibration
  * Fix shebang lines for noetic python3
  * Update fisheye distortion model definition
  * Fix calibration yaml formatting (#580 <https://github.com/ros-perception/image_pipeline/issues/580>) (#585 <https://github.com/ros-perception/image_pipeline/issues/585>)
  * updated linear_error function to handle partial board views (#561 <https://github.com/ros-perception/image_pipeline/issues/561>)
  * Fix missing detected checkerboard points (#558 <https://github.com/ros-perception/image_pipeline/issues/558>)
  * ChArUco board, Noetic (#549 <https://github.com/ros-perception/image_pipeline/issues/549>)
  * fix #503 <https://github.com/ros-perception/image_pipeline/issues/503>: (#545 <https://github.com/ros-perception/image_pipeline/issues/545>)
  * Minimal Noetic (#530 <https://github.com/ros-perception/image_pipeline/issues/530>)
  * Apply #509 <https://github.com/ros-perception/image_pipeline/issues/509> and #526 <https://github.com/ros-perception/image_pipeline/issues/526> to Noetic Branch (#528 <https://github.com/ros-perception/image_pipeline/issues/528>)
  * Add Fisheye calibration tool (#440 <https://github.com/ros-perception/image_pipeline/issues/440>)
  * camera_calibration: Improve YAML formatting, make config dumping methods static (#438 <https://github.com/ros-perception/image_pipeline/issues/438>)
  * camera_calibration: Fix all-zero distortion coeffs returned for a rational_polynomial model (#433 <https://github.com/ros-perception/image_pipeline/issues/433>)
  * Make sure 'calibrate' button works even if not receiving images anymore
  * Add a comment
  * Replace deque with a modified Queue, add --queue-size param
  * Remove print statement
  * Cosmetic changes
  * Add max-chessboard-speed option to allow more accurate calibration of rolling shutter cameras.
  * revert back
  * added missing imports
  * update pytest.ini
  * fixes to pass tests
  * rebase change
  * implemented fisheye mono and stereo calibration based on the melodic branch
  * trimmed whitespace at line endings
  * Update camera_calibration setup.cfg to use underscores (#688 <https://github.com/ros-perception/image_pipeline/issues/688>)
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Fixed crash when rosargs are given (#597 <https://github.com/ros-perception/image_pipeline/issues/597>)
  * Contributors: Chris Lalancette, David Torres Ocaña, DavidTorresOcana, Gabor Soros, Jacob Perron, John Stechschulte, Joshua Whitley, Martin Valgur, Matthijs den Toom, Michael Carroll, Patrick Musau, Photon, Spiros Evangelatos, Victor Dubois, jaiveersinghNV, soeroesg

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-camera-calibration (2.2.1-3jammy) jammy; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Add pytest.ini to fix warning (#584 <https://github.com/ros-perception/image_pipeline/issues/584>)
    Fixes the following warning:
    Warning: The 'junit_family' default value will change to 'xunit2' in pytest 6.0.
    Add 'junit_family=xunit1' to your pytest.ini file to keep the current format in future versions of pytest and silence this warning.
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Jacob Perron, Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 16:00:00 -0000

ros-iron-camera-calibration (2.2.0-3jammy) jammy; urgency=high

  * Removed basestring (no longer exists in new python 3 version). (#554 <https://github.com/ros-perception/image_pipeline/issues/554>)
    Fixes #551 <https://github.com/ros-perception/image_pipeline/issues/551>
  * Initial ROS2 commit.
  * Contributors: Michael Carroll, PfeifferMicha

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 16:00:00 -0000

ros-iron-camera-calibration (1.12.23-3jammy) jammy; urgency=high

  * camera_checker: Ensure cols + rows are in correct order (#319 <https://github.com/ros-perception/image_pipeline/issues/319>)
    Without this commit, specifying a smaller column than row size lead to
    huge reported errors:
    ```
    $ rosrun camera_calibration cameracheck.py --size 6x7 --square 0.0495
    Linearity RMS Error: 13.545 Pixels      Reprojection RMS Error: 22.766 Pixels
    $ rosrun camera_calibration cameracheck.py --size 7x6 --square 0.0495
    Linearity RMS Error: 0.092 Pixels      Reprojection RMS Error: 0.083 Pixels
    ```
    This commit switches columns and rows around if necessary.
  * Contributors: Martin Günther

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 16:00:00 -0000

ros-iron-camera-calibration (1.12.22-3jammy) jammy; urgency=high

  * Changed flags CV_LOAD_IMAGE_COLOR by IMREAD_COLOR to adapt to Opencv3. (#252 <https://github.com/ros-perception/image_pipeline/issues/252>)
  * Fixed stereo calibration problem with chessboard with the same number of rows and cols by rotating the corners to same direction.
  * Contributors: jbosch

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 16:00:00 -0000

ros-iron-camera-calibration (1.12.21-3jammy) jammy; urgency=high

  * re-add the calibration nodes but now using the Python modules.
    Fixes #298 <https://github.com/ros-perception/image_pipeline/issues/298>
  * Move nodes to Python module.
  * Contributors: Vincent Rabaud


