=== debian/control ===
Source: ros-iron-camera-calibration
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-opencv, python3-pytest <!nocheck>, python3-requests <!nocheck>, ros-iron-ament-copyright <!nocheck>, ros-iron-ament-flake8 <!nocheck>, ros-iron-ament-pep257 <!nocheck>, ros-iron-cv-bridge, ros-iron-image-geometry, ros-iron-message-filters, ros-iron-rclpy, ros-iron-sensor-msgs, ros-iron-std-srvs, ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: https://index.ros.org/p/camera_calibration/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-iron-camera-calibration
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-opencv, ros-iron-cv-bridge, ros-iron-image-geometry, ros-iron-message-filters, ros-iron-rclpy, ros-iron-sensor-msgs, ros-iron-std-srvs, ros-iron-ros-workspace
Description: camera_calibration allows easy calibration of monocular or stereo cameras using a checkerboard calibration target.
